unit Example;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus, CHKMenu;

type
  TForm2 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    Print1: TMenuItem;
    Edit1: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    Help1: TMenuItem;
    HelpTopics1: TMenuItem;
    N1: TMenuItem;
    About1: TMenuItem;
    Button1: TButton;
    Print2: TMenuItem;
    PrintSetup2: TMenuItem;
    CheckBox1: TCheckBox;
    Button2: TButton;
    Button3: TButton;
    SaveDialog1: TSaveDialog;
    OpenDialog1: TOpenDialog;
    CheckBox2: TCheckBox;
    HKMenu: THKMenu;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

procedure TForm2.Button1Click(Sender: TObject);
begin
   HKMenu.OnlyVisible := CheckBox1.Checked;
   HKMenu.Customize;
end;

procedure TForm2.Button2Click(Sender: TObject);
begin
	if SaveDialog1.Execute then HKMenu.SaveConfiguration(SaveDialog1.FileName);
end;

procedure TForm2.Button3Click(Sender: TObject);
begin
   if OpenDialog1.Execute then HKMenu.LoadConfiguration(OpenDialog1.FileName);
end;

procedure TForm2.CheckBox2Click(Sender: TObject);
begin
   Edit1.Visible := CheckBox2.Checked;
end;

end.
